PLplot: gcw.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Functions | Variables
gcw.c File Reference
`#include <sys/stat.h>`
`#include "gcw.h"`
`#include "plplotcanvas-hacktext.h"`

Go to the source code of this file.

## Functions
guint32 | plcolor_to_rgba (PLColor color, guchar alpha)
void | plD_open_gcw (PLStream *pls)
void | plD_init_gcw (PLStream *)
void | plD_line_gcw (PLStream *, short, short, short, short)
void | plD_polyline_gcw (PLStream *, short *, short *, PLINT)
void | plD_eop_gcw (PLStream *)
void | plD_bop_gcw (PLStream *)
void | plD_tidy_gcw (PLStream *)
void | plD_state_gcw (PLStream *, PLINT)
void | plD_esc_gcw (PLStream *, PLINT, void *)
void | plD_dispatch_init_gcw (PLDispatchTable *pdt)
static void | fill_polygon (PLStream *pls)

## Variables
PLDLLIMPEXP_DRIVER const char * | plD_DEVICE_INFO_gcw = "gcw:Gnome Canvas Widget:1:gcw:10:gcw\n"
static PLINT | text = 0
static PLINT | hrshsym = 0
static PLINT | replot = 1
static DrvOpt | gcw_options []

## Function Documentation

static void fill_polygon | ( | PLStream * | pls | ) |
| static

Definition at line 844 of file gcw.c.

guint32 plcolor_to_rgba | ( | PLColor | color,
|  | guchar | alpha
| ) |  |

Definition at line 116 of file gcw.c.

void plD_bop_gcw | ( | PLStream * | pls | ) |

Definition at line 657 of file gcw.c.

void plD_dispatch_init_gcw | ( | PLDispatchTable * | pdt | ) |

Definition at line 142 of file gcw.c.

void plD_eop_gcw | ( | PLStream * | pls | ) |

Definition at line 497 of file gcw.c.

void plD_esc_gcw | ( | PLStream * | pls,
|  | PLINT | op,
|  | void * | ptr
| ) |  |

Definition at line 1265 of file gcw.c.

void plD_init_gcw | ( | PLStream * | pls | ) |

Definition at line 178 of file gcw.c.

void plD_line_gcw | ( | PLStream * | pls,
|  | short | x1,
|  | short | y1,
|  | short | x2,
|  | short | y2
| ) |  |

Definition at line 473 of file gcw.c.

void plD_open_gcw | ( | PLStream * | pls | ) |

void plD_polyline_gcw | ( | PLStream * | pls,
|  | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |

Definition at line 331 of file gcw.c.

void plD_state_gcw | ( | PLStream * | pls,
|  | PLINT | op
| ) |  |

Definition at line 759 of file gcw.c.

void plD_tidy_gcw | ( | PLStream * | pls | ) |

Definition at line 719 of file gcw.c.

## Variable Documentation

DrvOpt gcw_options[]
| static

Initial value:
{
{ "text", DRV_INT, &text, "Use truetype fonts (text=0|1)" },
{ "hrshsym", DRV_INT, &hrshsym, "Use Hershey symbol set (hrshsym=0|1)" },
{ "replot", DRV_INT, &replot, "Allow replotting to other devices (replot=0|1)" },
{ NULL, DRV_INT, NULL, NULL }
}

Definition at line 103 of file gcw.c.

PLINT hrshsym = 0
| static

Definition at line 100 of file gcw.c.

PLDLLIMPEXP_DRIVER const char* plD_DEVICE_INFO_gcw = "gcw:Gnome Canvas Widget:1:gcw:10:gcw\n"

Definition at line 90 of file gcw.c.

PLINT replot = 1
| static

Definition at line 101 of file gcw.c.

PLINT text = 0
| static

Definition at line 97 of file gcw.c.